Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_1.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_1.pos	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_1.pos	(revision 35)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<description>
+
+   <comment>     Test composant sans architecture   </comment>
+
+   <entity name="two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_1"
+           type="Meta_Register"
+           schema="1" >
+
+      <port name="clock"           
+            localisation="west" 
+            direction="in">
+        Port d'horloge                                                    
+      </port>
+      <port name="predict"         
+            localisation="west" 
+            direction="in">
+        Interface de prediction : demande de la direction pour une adresse
+      </port>
+      <port name="branch_complete" 
+            localisation="east"
+            direction="inout">
+        Interface de mise à jour des branchement                           
+      </port>
+
+   </entity>
+
+   
+
+</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_2.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_2.pos	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_2.pos	(revision 35)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<description>
+
+   <comment>     Test composant sans architecture   </comment>
+
+   <entity name="two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_2"
+           type="Meta_Register"
+           schema="1" >
+
+      <port name="clock"           
+            localisation="west" 
+            direction="in">
+        Port d'horloge                                                    
+      </port>
+      <port name="predict"         
+            localisation="west" 
+            direction="in">
+        Interface de prediction : demande de la direction pour une adresse
+      </port>
+      <port name="branch_complete" 
+            localisation="east"
+            direction="inout">
+        Interface de mise à jour des branchement                           
+      </port>
+
+   </entity>
+
+   
+
+</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor.pos	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table-meta_predictor.pos	(revision 35)
@@ -0,0 +1,73 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<description>
+
+   <comment>     Test composant sans architecture   </comment>
+
+   <entity name="two_level_branch_predictor-branch_history_table-meta_predictor"
+           type="Meta_Predictor"
+           schema="1" >
+
+      <port name="clock"           
+            localisation="west" 
+            direction="in">
+        Port d'horloge                                                    
+      </port>
+      <port name="predict"         
+            localisation="west" 
+            direction="in">
+        Interface de prediction : demande de la direction pour une adresse
+      </port>
+      <port name="branch_complete" 
+            localisation="east"
+            direction="in">
+        Interface de mise à jour des branchement                           
+      </port>
+
+   </entity>
+
+
+   <architecture>
+
+      <component name="two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_1"
+                 type="Meta_Register"
+                 size_x="10"
+                 pos_x="50"
+                 size_y="10"
+                 pos_y="50" >
+
+         <port_map name="clock"        
+                   component="two_level_branch_predictor-branch_history_table-meta_predictor"
+                   port="clock" />
+         <port_map name="predict" 
+                   component="two_level_branch_predictor-branch_history_table-meta_predictor"
+                   port="predict"/>
+         <port_map name="branch_complete"
+                   component="two_level_branch_predictor-branch_history_table-meta_predictor"
+                   port="branch_complete" />
+
+      </component>
+
+     <component name="two_level_branch_predictor-branch_history_table-meta_predictor-meta_register_2"
+                 type="Meta_Register"
+                 size_x="10"
+                 pos_x="50"
+                 size_y="10"
+                 pos_y="20" >
+
+         <port_map name="clock"        
+                   component="two_level_branch_predictor-branch_history_table-meta_predictor"
+                   port="clock" />
+         <port_map name="predict" 
+                   component="two_level_branch_predictor-branch_history_table-meta_predictor"
+                   port="predict"/>
+         <port_map name="branch_complete"
+                   component="two_level_branch_predictor-branch_history_table-meta_predictor"
+                   port="branch_complete" />
+
+      </component>
+
+   </architecture>
+   
+
+</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table.pos	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-branch_history_table.pos	(revision 35)
@@ -0,0 +1,60 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<description>
+
+   <comment>
+     Ce composant décrit la table d'historique de branchement à deux niveaux
+   </comment>
+
+   <entity name="two_level_branch_predictor-branch_history_table"
+           type="Branch_History_Table"
+           schema="2" >
+
+      <port name="clock"           
+            localisation="west" 
+            direction="in">
+        Port d'horloge                                                    
+      </port>
+      <port name="predict"         
+            localisation="west" 
+            direction="in">
+        Interface de prediction : demande de la direction pour une adresse
+      </port>
+
+      <port name="interne" 
+            localisation="south"
+            direction="out">
+        blabla .............
+      </port>
+
+      <port name="branch_complete" 
+            localisation="east"
+            direction="in">
+        Interface de mise à jour des branchement                           
+      </port>
+
+   </entity>
+
+   <architecture>
+
+      <component name="two_level_branch_predictor-branch_history_table-meta_predictor"
+                 type="Meta_Predictor"
+                 size_x="10"
+                 pos_x="50"
+                 size_y="10"
+                 pos_y="20" >
+
+         <port_map name="clock"        
+                   component="two_level_branch_predictor-branch_history_table"
+                   port="clock" />
+         <port_map name="predict" 
+                   component="two_level_branch_predictor-branch_history_table"
+                   port="predict"/>
+         <port_map name="branch_complete"
+                   component="two_level_branch_predictor-branch_history_table"
+                   port="branch_complete" />
+
+      </component>
+   </architecture>
+
+</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-pattern_history_table.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-pattern_history_table.pos	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-pattern_history_table.pos	(revision 35)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<description>
+
+   <comment>
+     Test composant sans architecture
+   </comment>
+
+   <entity name="two_level_branch_predictor-pattern_history_table"
+           type="Pattern_History_Table"
+           schema="3" >
+
+      <port name="clock"           
+            localisation="west" 
+            direction="in">
+        Port d'horloge                                                    
+      </port>
+      <port name="predict"         
+            localisation="west" 
+            direction="in">
+        Interface de prediction : demande de la direction pour une adresse
+      </port>
+      <port name="branch_complete" 
+            localisation="east"
+            direction="in">
+        Interface de mise à jour des branchement                           
+      </port>
+
+   </entity>
+
+   
+
+</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-two_level_branch_predictor_glue.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-two_level_branch_predictor_glue.pos	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor-two_level_branch_predictor_glue.pos	(revision 35)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<description>
+
+   <comment>
+     Test composant sans architecture
+   </comment>
+
+   <entity name="two_level_branch_predictor-two_level_branch_predictor_glue"
+           type="Two_Level_Branch_Predictor_Glue"
+           schema="1" >
+
+      <port name="predict"         
+            localisation="west" 
+            direction="in">
+        Interface de prediction : demande de la direction pour une adresse
+      </port>
+      <port name="branch_complete" 
+            localisation="east"
+            direction="in">
+        Interface de mise à jour des branchement                           
+      </port>
+
+      <port name="interne" 
+            localisation="north"
+            direction="in">
+        blabla .............
+      </port>
+
+   </entity>
+
+   
+
+</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor.gen	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor.gen	(revision 35)
@@ -0,0 +1,74 @@
+<?xml version="1.0" encoding="ISO-8859-1" ?>
+
+<!-- comment -->
+
+<parameters>
+
+ 	<parameter name="nb_icache"                           min="1"   max="32"  step="+1" default="1"   level="0" />
+	<parameter name="nb_dcache"                           min="1"   max="32"  step="+1" default="1"   level="0" />
+	<parameter name="nb_front_end"                        min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="nb_ifetch"                           min="1"   max="8"   step="+1" default="1"   level="0" /> 
+	<parameter name="nb_decod"                            min="1"   max="8"   step="+1" default="1"   level="0" /> 
+	<parameter name="nb_out_of_order_engine"              min="1"   max="8"   step="+1" default="1"   level="0" /> 
+	<parameter name="nb_execution_loop"                   min="1"   max="8"   step="+1" default="1"   level="0" /> 
+	<parameter name="nb_reservation_station"              min="1"   max="8"   step="+1" default="1"   level="0" /> 
+	<parameter name="nb_execution"                        min="1"   max="8"   step="+1" default="1"   level="0" /> 
+	<parameter name="nb_writeback"                        min="1"   max="8"   step="+1" default="1"   level="0" /> 
+	<parameter name="arbiter"                             min="0"   max="4"   step="+1" default="1"   level="0" />
+	<parameter name="associativity"                       min="1"   max="4"   step="+1" default="1"   level="0" />
+	<parameter name="bypass_execute_gpr"                  min="0"   max="1"   step="+1" default="1"   level="0" />
+	<parameter name="bypass_execute_spr"                  min="0"   max="1"   step="+1" default="1"   level="0" />
+	<parameter name="bypass_memory_in"                    min="0"   max="1"   step="+1" default="1"   level="0" />
+	<parameter name="bypass_memory_out"                   min="0"   max="1"   step="+1" default="1"   level="0" />
+	<parameter name="commit_out_of_order_thread"          min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="have_meta_predictor"                 min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="keep_data"                           min="0"   max="1"   step="+1" default="1"   level="0" />
+	<parameter name="nb_branch_complete"                  min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="nb_branch_decod"                     min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="nb_gpr_free"                         min="1"   max="4"   step="+1" default="1"   level="0" />
+	<parameter name="nb_gpr_physical"                     min="32"  max="512" step="*2" default="1"   level="0" />
+	<parameter name="nb_inst"                             min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="nb_port"                             min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="nb_prediction"                       min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="nb_spr_free"                         min="1"   max="4"   step="+1" default="1"   level="0" />
+	<parameter name="nb_spr_physical"                     min="2"   max="512" step="*2" default="1"   level="0" />
+	<parameter name="one_queue"                           min="0"   max="1"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_0_have_bht"                min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="predictor_0_have_pht"                min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="predictor_0_bht_nb_shifter"          min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_0_bht_size_shifter"        min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_0_pht_nb_counter"          min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_0_pht_size_address_share"  min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_0_pht_size_counter"        min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_1_have_bht"                min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="predictor_1_have_pht"                min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="predictor_1_bht_nb_shifter"          min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_1_bht_size_shifter"        min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_1_pht_nb_counter"          min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_1_pht_size_address_share"  min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_1_pht_size_counter"        min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_2_have_bht"                min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="predictor_2_have_pht"                min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="predictor_2_bht_nb_shifter"          min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_2_bht_size_shifter"        min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_2_pht_nb_counter"          min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_2_pht_size_address_share"  min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="predictor_2_pht_size_counter"        min="1"   max="8"   step="+1" default="1"   level="0" />
+	<parameter name="size_data"                           min="32"  max="64"  step="*2" default="32"  level="0" />
+	<parameter name="size_queue"                          min="1"   max="32"  step="*2" default="1"   level="0" />
+	<parameter name="size_windows"                        min="1"   max="32"  step="*2" default="1"   level="0" />
+	<parameter name="speculated_memory_read"              min="0"   max="1"   step="+1" default="1"   level="0" />
+	<parameter name="type_mul"                            min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="type_div"                            min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="type_ext"                            min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="type_ff1"                            min="0"   max="1"   step="+1" default="0"   level="0" />
+	<parameter name="type_fl1"                            min="0"   max="1"   step="+1" default="0"   level="0" />
+		
+	<link      name="link_icache"                         src="front_end"           dest="icache"              />
+	<link      name="link_dcache"                         src="execution_loop"      dest="dcache"              />
+	<link      name="link_out_of_order_engine"            src="front_end"           dest="out_of_order_engine" />
+	<link      name="link_decod"                          src="ifetch"              dest="decod"               />
+	<link      name="link_rename"                         src="decod"               dest="rename"              />
+	<link      name="link_execution_loop"                 src="out_of_order_engine" dest="execution_loop"      />
+
+</parameters>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor.pos	(revision 35)
+++ trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/Two_Level_Branch_Predictor/two_level_branch_predictor.pos	(revision 35)
@@ -0,0 +1,98 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<description>
+
+   <comment>
+     Ce composant décrit un prédicteur de branchement à deux niveaux
+   </comment>
+
+   <entity name="two_level_branch_predictor"
+           type="Two_Level_Branch_Predictor"
+           schema="1" >
+
+      <port name="clock"           
+            localisation="west" 
+            direction="in">
+        Port d'horloge                                                    
+      </port>
+      <port name="predict"         
+            localisation="west" 
+            direction="in">
+        Interface de prediction : demande de la direction pour une adresse
+      </port>
+      <port name="branch_complete" 
+            localisation="east"
+            direction="out">
+        Interface de mise à jour des branchement                           
+      </port>
+
+   </entity>
+
+   <architecture>
+
+     <component name="two_level_branch_predictor-branch_history_table"
+                 type="Branch_History_Table"
+                 size_x="10"
+                 pos_x="50"
+                 size_y="10"
+                 pos_y="20" >
+
+         <port_map name="clock"        
+                   component="two_level_branch_predictor"
+                   port="clock" />
+         <port_map name="predict" 
+                   component="two_level_branch_predictor"
+                   port="predict"/>
+	
+         <port_map name="interne" 
+                   component="two_level_branch_predictor-two_level_branch_predictor_glue"
+                   port="interne"/>
+	
+         <port_map name="branch_complete"
+                   component="two_level_branch_predictor"
+                   port="branch_complete" />
+
+      </component>
+
+      <component name="two_level_branch_predictor-pattern_history_table" 
+                 type="Pattern_History_Table"   
+                 size_x="10"
+                 pos_x="50"
+                 size_y="10"
+                 pos_y="80" >
+
+         <port_map name="clock" 
+                   component="two_level_branch_predictor"
+                   port="clock" />
+         <port_map name="predict"
+                   component="two_level_branch_predictor"
+                   port="predict"/>
+         <port_map name="branch_complete"
+                   component="two_level_branch_predictor"
+                   port="branch_complete" />
+
+      </component>
+
+
+      <component name="two_level_branch_predictor-two_level_branch_predictor_glue"
+                 type="Two_Level_Branch_Predictor_Glue"
+                 size_x="10"
+                 pos_x="50"
+                 size_y="10"
+                 pos_y="50" >
+
+         <port_map name="interne" 
+                   component="two_level_branch_predictor-branch_history_table"
+                   port="interne"/>
+         <port_map name="predict"
+                   component="two_level_branch_predictor"
+                   port="predict" />
+         <port_map name="branch_complete"
+                   component="two_level_branch_predictor"
+                   port="branch_complete" />
+
+      </component>
+
+   </architecture>
+
+</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/branch_history_table-meta_predictor.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/branch_history_table-meta_predictor.pos	(revision 34)
+++ 	(revision )
@@ -1,73 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<description>
-
-   <comment>     Test composant sans architecture   </comment>
-
-   <entity name="meta_predictor"
-           type="Meta_Predictor"
-           schema="1" >
-
-      <port name="clock"           
-            localisation="west" 
-            direction="in">
-        Port d'horloge                                                    
-      </port>
-      <port name="predict"         
-            localisation="west" 
-            direction="in">
-        Interface de prediction : demande de la direction pour une adresse
-      </port>
-      <port name="branch_complete" 
-            localisation="east"
-            direction="in">
-        Interface de mise à jour des branchement                           
-      </port>
-
-   </entity>
-
-
-   <architecture>
-
-      <component name="meta_register_1"
-                 type="Meta_Register"
-                 size_x="10"
-                 pos_x="50"
-                 size_y="10"
-                 pos_y="50" >
-
-         <port_map name="clock"        
-                   component="meta_predictor"
-                   port="clock" />
-         <port_map name="predict" 
-                   component="meta_predictor"
-                   port="predict"/>
-         <port_map name="branch_complete"
-                   component="meta_predictor"
-                   port="branch_complete" />
-
-      </component>
-
-     <component name="meta_register_2"
-                 type="Meta_Register"
-                 size_x="10"
-                 pos_x="50"
-                 size_y="10"
-                 pos_y="20" >
-
-         <port_map name="clock"        
-                   component="meta_predictor"
-                   port="clock" />
-         <port_map name="predict" 
-                   component="meta_predictor"
-                   port="predict"/>
-         <port_map name="branch_complete"
-                   component="meta_predictor"
-                   port="branch_complete" />
-
-      </component>
-
-   </architecture>
-   
-
-</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/meta_predictor-meta_register_1.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/meta_predictor-meta_register_1.pos	(revision 34)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<description>
-
-   <comment>     Test composant sans architecture   </comment>
-
-   <entity name="meta_register_1"
-           type="Meta_Register"
-           schema="1" >
-
-      <port name="clock"           
-            localisation="west" 
-            direction="in">
-        Port d'horloge                                                    
-      </port>
-      <port name="predict"         
-            localisation="west" 
-            direction="in">
-        Interface de prediction : demande de la direction pour une adresse
-      </port>
-      <port name="branch_complete" 
-            localisation="east"
-            direction="inout">
-        Interface de mise à jour des branchement                           
-      </port>
-
-   </entity>
-
-   
-
-</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/meta_predictor-meta_register_2.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/meta_predictor-meta_register_2.pos	(revision 34)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<description>
-
-   <comment>     Test composant sans architecture   </comment>
-
-   <entity name="meta_register_2"
-           type="Meta_Register"
-           schema="1" >
-
-      <port name="clock"           
-            localisation="west" 
-            direction="in">
-        Port d'horloge                                                    
-      </port>
-      <port name="predict"         
-            localisation="west" 
-            direction="in">
-        Interface de prediction : demande de la direction pour une adresse
-      </port>
-      <port name="branch_complete" 
-            localisation="east"
-            direction="inout">
-        Interface de mise à jour des branchement                           
-      </port>
-
-   </entity>
-
-   
-
-</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor-branch_history_table.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor-branch_history_table.pos	(revision 34)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<description>
-
-   <comment>
-     Ce composant décrit la table d'historique de branchement à deux niveaux
-   </comment>
-
-   <entity name="branch_history_table"
-           type="Branch_History_Table"
-           schema="2" >
-
-      <port name="clock"           
-            localisation="west" 
-            direction="in">
-        Port d'horloge                                                    
-      </port>
-      <port name="predict"         
-            localisation="west" 
-            direction="in">
-        Interface de prediction : demande de la direction pour une adresse
-      </port>
-
-      <port name="interne" 
-            localisation="south"
-            direction="out">
-        blabla .............
-      </port>
-
-      <port name="branch_complete" 
-            localisation="east"
-            direction="in">
-        Interface de mise à jour des branchement                           
-      </port>
-
-   </entity>
-
-   <architecture>
-
-      <component name="meta_predictor"
-                 type="Meta_Predictor"
-                 size_x="10"
-                 pos_x="50"
-                 size_y="10"
-                 pos_y="20" >
-
-         <port_map name="clock"        
-                   component="branch_history_table"
-                   port="clock" />
-         <port_map name="predict" 
-                   component="branch_history_table"
-                   port="predict"/>
-         <port_map name="branch_complete"
-                   component="branch_history_table"
-                   port="branch_complete" />
-
-      </component>
-   </architecture>
-
-</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor-pattern_history_table.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor-pattern_history_table.pos	(revision 34)
+++ 	(revision )
@@ -1,33 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<description>
-
-   <comment>
-     Test composant sans architecture
-   </comment>
-
-   <entity name="pattern_history_table"
-           type="Pattern_History_Table"
-           schema="3" >
-
-      <port name="clock"           
-            localisation="west" 
-            direction="in">
-        Port d'horloge                                                    
-      </port>
-      <port name="predict"         
-            localisation="west" 
-            direction="in">
-        Interface de prediction : demande de la direction pour une adresse
-      </port>
-      <port name="branch_complete" 
-            localisation="east"
-            direction="in">
-        Interface de mise à jour des branchement                           
-      </port>
-
-   </entity>
-
-   
-
-</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor-two_level_branch_predictor_glue.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor-two_level_branch_predictor_glue.pos	(revision 34)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<description>
-
-   <comment>
-     Test composant sans architecture
-   </comment>
-
-   <entity name="two_level_branch_predictor_glue"
-           type="Two_Level_Branch_Predictor_Glue"
-           schema="1" >
-
-      <port name="predict"         
-            localisation="west" 
-            direction="in">
-        Interface de prediction : demande de la direction pour une adresse
-      </port>
-      <port name="branch_complete" 
-            localisation="east"
-            direction="in">
-        Interface de mise à jour des branchement                           
-      </port>
-
-      <port name="interne" 
-            localisation="north"
-            direction="in">
-        blabla .............
-      </port>
-
-   </entity>
-
-   
-
-</description>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor.gen	(revision 34)
+++ 	(revision )
@@ -1,74 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1" ?>
-
-<!-- comment -->
-
-<parameters>
-
- 	<parameter name="nb_icache"                           min="1"   max="32"  step="+1" default="1"   level="0" />
-	<parameter name="nb_dcache"                           min="1"   max="32"  step="+1" default="1"   level="0" />
-	<parameter name="nb_front_end"                        min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="nb_ifetch"                           min="1"   max="8"   step="+1" default="1"   level="0" /> 
-	<parameter name="nb_decod"                            min="1"   max="8"   step="+1" default="1"   level="0" /> 
-	<parameter name="nb_out_of_order_engine"              min="1"   max="8"   step="+1" default="1"   level="0" /> 
-	<parameter name="nb_execution_loop"                   min="1"   max="8"   step="+1" default="1"   level="0" /> 
-	<parameter name="nb_reservation_station"              min="1"   max="8"   step="+1" default="1"   level="0" /> 
-	<parameter name="nb_execution"                        min="1"   max="8"   step="+1" default="1"   level="0" /> 
-	<parameter name="nb_writeback"                        min="1"   max="8"   step="+1" default="1"   level="0" /> 
-	<parameter name="arbiter"                             min="0"   max="4"   step="+1" default="1"   level="0" />
-	<parameter name="associativity"                       min="1"   max="4"   step="+1" default="1"   level="0" />
-	<parameter name="bypass_execute_gpr"                  min="0"   max="1"   step="+1" default="1"   level="0" />
-	<parameter name="bypass_execute_spr"                  min="0"   max="1"   step="+1" default="1"   level="0" />
-	<parameter name="bypass_memory_in"                    min="0"   max="1"   step="+1" default="1"   level="0" />
-	<parameter name="bypass_memory_out"                   min="0"   max="1"   step="+1" default="1"   level="0" />
-	<parameter name="commit_out_of_order_thread"          min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="have_meta_predictor"                 min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="keep_data"                           min="0"   max="1"   step="+1" default="1"   level="0" />
-	<parameter name="nb_branch_complete"                  min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="nb_branch_decod"                     min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="nb_gpr_free"                         min="1"   max="4"   step="+1" default="1"   level="0" />
-	<parameter name="nb_gpr_physical"                     min="32"  max="512" step="*2" default="1"   level="0" />
-	<parameter name="nb_inst"                             min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="nb_port"                             min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="nb_prediction"                       min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="nb_spr_free"                         min="1"   max="4"   step="+1" default="1"   level="0" />
-	<parameter name="nb_spr_physical"                     min="2"   max="512" step="*2" default="1"   level="0" />
-	<parameter name="one_queue"                           min="0"   max="1"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_0_have_bht"                min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="predictor_0_have_pht"                min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="predictor_0_bht_nb_shifter"          min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_0_bht_size_shifter"        min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_0_pht_nb_counter"          min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_0_pht_size_address_share"  min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_0_pht_size_counter"        min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_1_have_bht"                min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="predictor_1_have_pht"                min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="predictor_1_bht_nb_shifter"          min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_1_bht_size_shifter"        min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_1_pht_nb_counter"          min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_1_pht_size_address_share"  min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_1_pht_size_counter"        min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_2_have_bht"                min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="predictor_2_have_pht"                min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="predictor_2_bht_nb_shifter"          min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_2_bht_size_shifter"        min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_2_pht_nb_counter"          min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_2_pht_size_address_share"  min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="predictor_2_pht_size_counter"        min="1"   max="8"   step="+1" default="1"   level="0" />
-	<parameter name="size_data"                           min="32"  max="64"  step="*2" default="32"  level="0" />
-	<parameter name="size_queue"                          min="1"   max="32"  step="*2" default="1"   level="0" />
-	<parameter name="size_windows"                        min="1"   max="32"  step="*2" default="1"   level="0" />
-	<parameter name="speculated_memory_read"              min="0"   max="1"   step="+1" default="1"   level="0" />
-	<parameter name="type_mul"                            min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="type_div"                            min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="type_ext"                            min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="type_ff1"                            min="0"   max="1"   step="+1" default="0"   level="0" />
-	<parameter name="type_fl1"                            min="0"   max="1"   step="+1" default="0"   level="0" />
-		
-	<link      name="link_icache"                         src="front_end"           dest="icache"              />
-	<link      name="link_dcache"                         src="execution_loop"      dest="dcache"              />
-	<link      name="link_out_of_order_engine"            src="front_end"           dest="out_of_order_engine" />
-	<link      name="link_decod"                          src="ifetch"              dest="decod"               />
-	<link      name="link_rename"                         src="decod"               dest="rename"              />
-	<link      name="link_execution_loop"                 src="out_of_order_engine" dest="execution_loop"      />
-
-</parameters>
Index: trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor.pos
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/data/two_level_branch_predictor.pos	(revision 34)
+++ 	(revision )
@@ -1,96 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<description>
-
-   <comment>
-     Ce composant décrit un prédicteur de branchement à deux niveaux
-   </comment>
-
-   <entity name="two_level_branch_predictor"
-           type="Two_Level_Branch_Predictor"
-           schema="1" >
-
-      <port name="clock"           
-            localisation="west" 
-            direction="in">
-        Port d'horloge                                                    
-      </port>
-      <port name="predict"         
-            localisation="west" 
-            direction="in">
-        Interface de prediction : demande de la direction pour une adresse
-      </port>
-      <port name="branch_complete" 
-            localisation="east"
-            direction="out">
-        Interface de mise à jour des branchement                           
-      </port>
-
-   </entity>
-
-   <architecture>
-     <component name="branch_history_table"
-                 type="Branch_History_Table"
-                 size_x="10"
-                 pos_x="50"
-                 size_y="10"
-                 pos_y="20" >
-
-         <port_map name="clock"        
-                   component="two_level_branch_predictor"
-                   port="clock" />
-         <port_map name="predict" 
-                   component="two_level_branch_predictor"
-                   port="predict"/>
-	
-         <port_map name="interne" 
-                   component="two_level_branch_predictor_glue"
-                   port="interne"/>
-	
-         <port_map name="branch_complete"
-                   component="two_level_branch_predictor"
-                   port="branch_complete" />
-
-      </component>
-
-      <component name="pattern_history_table" 
-                 type="Pattern_History_Table"   
-                 size_x="10"
-                 pos_x="50"
-                 size_y="10"
-                 pos_y="80" >
-
-         <port_map name="clock" 
-                   component="two_level_branch_predictor"
-                   port="clock" />
-         <port_map name="predict"
-                   component="two_level_branch_predictor"
-                   port="predict"/>
-         <port_map name="branch_complete"
-                   component="two_level_branch_predictor"
-                   port="branch_complete" />
-
-      </component>
-
-      <component name="two_level_branch_predictor_glue"
-                 type="Two_Level_Branch_Predictor_Glue"
-                 size_x="10"
-                 pos_x="50"
-                 size_y="10"
-                 pos_y="50" >
-
-         <port_map name="interne" 
-                   component="branch_history_table"
-                   port="interne"/>
-         <port_map name="predict"
-                   component="two_level_branch_predictor"
-                   port="predict" />
-         <port_map name="branch_complete"
-                   component="two_level_branch_predictor"
-                   port="branch_complete" />
-
-      </component>
-
-   </architecture>
-
-</description>
